## cl-memoization 20060126

=== Makefile ===
install:
	cp -r Makefile memoization.asd load-memoization.lisp  memoization-examples.lisp  memoization.lisp  package.lisp  \
		save-memo-table.lisp  \
		$(DESTDIR)/usr/share/common-lisp/source/memoization

## cl-memoization 1.0-9

=== debian/changelog ===
cl-memoization (1.0-9) unstable; urgency=low

  * Don't use :USER package anymore. closes: #194831 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 27 May 2003 11:52:04 +0200

cl-memoization (1.0-8) unstable; urgency=low

  * fixed asdf package file. Closes: #174663 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 May 2003 13:24:31 +0200

cl-memoization (1.0-7) unstable; urgency=low

  * Lintian fix: now doesn't include the CVS directory anymore. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 12 Jan 2003 13:11:28 +0100

cl-memoization (1.0-6) unstable; urgency=low

  * Now uses asdf
  * Now uses the new CL package name standard

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 15 Nov 2002 23:19:48 +0100

memoization (1.0-5) unstable; urgency=low

  * changelog without emacs stuff, linitian fix
  * updated standard version 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Apr 2002 20:24:19 +0200

memoization (1.0-4) unstable; urgency=low

  * Now uses common-lisp-controller.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:06:34 +0200

memoization (1.0-3) unstable; urgency=low

  * Went to FSH. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  8 Oct 1999 07:44:14 +0200

memoization (1.0-2) unstable; urgency=low

  * New cmucl release 
  * Now based on dh-make

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:20:26 +0200

memoization (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 May 1998 18:17:11 +0200

=== debian/control ===
Source: cl-memoization
Section: libs
Priority: optional
Build-Depends-Indep: debhelper
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.5.9.0
Priority: optional

Package: cl-memoization
Architecture: all
Depends: common-lisp-controller (>= 3.45), cl-asdf
Replaces: memoization
Conflicts: memoization
Description: A extension library that adds memoization support to CMU-CL
 The library adds support not only to memoize functions,
 but also to have persistent memoization information recording to
 CMU-CL.

## cl-memoization 20050302

=== debian/changelog ===
cl-memoization (20050302) unstable; urgency=low

  * Removed CVS files
  * Now native version
  * Updated original location
  * Updated standards version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  2 Mar 2005 13:43:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends-Indep: debhelper
 Maintainer: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.5.9.0
+Standards-Version: 3.6.1.0
 Priority: optional
 
 Package: cl-memoization

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	# make CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installman
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## cl-memoization 20060126

=== debian/changelog ===
cl-memoization (20060126) unstable; urgency=low

  * Added missing Build-Depends on 'dh-lisp' (Closes: #351769)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  7 Feb 2006 14:37:41 +0100

cl-memoization (20060125) unstable; urgency=low

  * Now uses darcs
  * Updated policy version
  * Updated debhelper compat level
  * added versioned debhelper dependency
  * removed excess priority field
  * Now uses dh_lisp 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 Jan 2006 21:59:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cl-memoization
 Section: libs
 Priority: optional
-Build-Depends-Indep: debhelper
+Build-Depends-Indep: debhelper (> 4), dh-lisp
 Maintainer: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.6.1.0
-Priority: optional
+Standards-Version: 3.6.2.1
 
 Package: cl-memoization
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh_installdirs
 
 	# Add here commands to install the files into debian/tmp
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/cl-memoization
 
 	dh_installdocs
 	dh_installexamples
@@ -50,6 +50,7 @@
 #	dh_undocumented
 	dh_installchangelogs
 	dh_link
+	dh_lisp
 	dh_strip
 	dh_compress
 	dh_fixperms

## cl-memoization 20080224

=== debian/changelog ===
cl-memoization (20080224) unstable; urgency=low

  * Changed to group maintanance
  * Added Vcs-Git control field
  * Added homepage field
  * Updated standard version without real changes
  * debhelper is Build-Depends

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 24 Feb 2008 14:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: cl-memoization
 Section: libs
 Priority: optional
-Build-Depends-Indep: debhelper (> 4), dh-lisp
-Maintainer: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (> 4)
+Build-Depends-Indep: dh-lisp
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
+Standards-Version: 3.7.3
+Homepage: http://www.apl.jhu.edu/~hall/lisp/Memoization-1.0/
+Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-memoization.git
 
 Package: cl-memoization
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,12 @@
 
 	dh_clean
 
+# Build architecture-dependent files here.
+binary-arch: build
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build
 #	dh_testversion
 	dh_testdir
 	dh_testroot
